layerscape: kmod-ppfe: Fix kernel options
authorHauke Mehrtens <hauke@hauke-m.de>
Thu, 27 Sep 2018 20:44:25 +0000 (22:44 +0200)
committerHauke Mehrtens <hauke@hauke-m.de>
Thu, 27 Sep 2018 20:54:19 +0000 (22:54 +0200)
The CONFIG_FSL_PPFE and the CONFIG_FSL_PPFE_UTIL_DISABLED are boolean,
so they should be selected with an =y in OpenWrt, otherwise OpenWrt will
select them as =m. These options will make pfe.ko being build as a
module even if this is boolean.

Signed-off-by: Hauke Mehrtens <hauke@hauke-m.de>
target/linux/layerscape/modules.mk

index 7a368a0..5f2d472 100644 (file)
@@ -9,7 +9,8 @@ define KernelPackage/ppfe
   SUBMENU:=$(NETWORK_DEVICES_MENU)
   TITLE:=Freescale PPFE Driver support
   DEPENDS:=@TARGET_layerscape
-  KCONFIG:=CONFIG_FSL_PPFE CONFIG_FSL_PPFE_UTIL_DISABLED
+  KCONFIG:=CONFIG_FSL_PPFE=y \
+       CONFIG_FSL_PPFE_UTIL_DISABLED=y
   FILES:=$(LINUX_DIR)/drivers/staging/fsl_ppfe/pfe.ko
   AUTOLOAD:=$(call AutoLoad,35,pfe)
 endef